#!/usr/bin/env python3

from mpd import MPDClient

def get_top_rated_tracks():
    client = MPDClient()
    client.connect("localhost", 6600)  # Ajusta el host y el puerto si es necesario

    # Utiliza el URI raíz o un directorio específico
    response = client.sticker_find('song', '', 'rating')

    # Procesar la respuesta
    tracks = []
    for entry in response:
        if 'file' in entry and 'sticker' in entry:
            sticker_name, sticker_value = entry['sticker'].split('=', 1)
            if sticker_name == 'rating' and sticker_value == '5':
                tracks.append(entry['file'])

    if tracks:
        for track in tracks:
            client.add(track)
        print(f"Added {len(tracks)} song(s) with a rating of 5 to the playlist.")
    else:
        print("there are no rated 5 songs.")

    client.close()
    client.disconnect()

if __name__ == '__main__':
    get_top_rated_tracks()


